bump version to v5.19.2
authorDavid Golden <dagolden@cpan.org>
Fri, 21 Jun 2013 02:14:02 +0000 (22:14 -0400)
committerDavid Golden <dagolden@cpan.org>
Fri, 21 Jun 2013 02:14:02 +0000 (22:14 -0400)
22 files changed:
Cross/config.sh-arm-linux
Cross/config.sh-arm-linux-n770
INSTALL
META.json
META.yml
NetWare/Makefile
NetWare/config_H.wc
Porting/config.sh
Porting/config_H
Porting/perldelta_template.pod
Porting/todo.pod
README.haiku
README.macosx
README.os2
README.vms
hints/catamount.sh
intrpvar.h
patchlevel.h
plan9/config.plan9
plan9/config_sh.sample
win32/Makefile
win32/makefile.mk

index 546fde6..e1b9210 100644 (file)
@@ -32,12 +32,12 @@ alignbytes='4'
 ansi2knr=''
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='1'
+api_subversion='2'
 api_version='19'
-api_versionstring='5.19.1'
+api_versionstring='5.19.2'
 ar='ar'
-archlib='/usr/lib/perl5/5.19.1/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.19.1/armv4l-linux'
+archlib='/usr/lib/perl5/5.19.2/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.19.2/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -56,7 +56,7 @@ castflags='0'
 cat='cat'
 cc='cc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.19.1/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.19.2/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -732,7 +732,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.19.1/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.19.2/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -740,13 +740,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.19.1'
+installprivlib='./install_me_here/usr/lib/perl5/5.19.2'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.19.1/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.19.2/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.19.1'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.19.2'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -875,8 +875,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.19.1'
-privlibexp='/usr/lib/perl5/5.19.1'
+privlib='/usr/lib/perl5/5.19.2'
+privlibexp='/usr/lib/perl5/5.19.2'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -941,17 +941,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.19.1/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.19.1/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.19.2/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.19.2/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.19.1'
+sitelib='/usr/lib/perl5/site_perl/5.19.2'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.19.1'
+sitelibexp='/usr/lib/perl5/site_perl/5.19.2'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -990,7 +990,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='1'
+subversion='2'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1080,8 +1080,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.19.1'
-version_patchlevel_string='version 19 subversion 1'
+version='5.19.2'
+version_patchlevel_string='version 19 subversion 2'
 versiononly='undef'
 vi=''
 voidflags='15'
@@ -1096,9 +1096,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=19
-PERL_SUBVERSION=1
+PERL_SUBVERSION=2
 PERL_API_REVISION=5
 PERL_API_VERSION=19
-PERL_API_SUBVERSION=1
+PERL_API_SUBVERSION=2
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index 2eccda3..167b08a 100644 (file)
@@ -32,12 +32,12 @@ alignbytes='4'
 ansi2knr=''
 aphostname='/bin/hostname'
 api_revision='5'
-api_subversion='1'
+api_subversion='2'
 api_version='19'
-api_versionstring='5.19.1'
+api_versionstring='5.19.2'
 ar='ar'
-archlib='/usr/lib/perl5/5.19.1/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.19.1/armv4l-linux'
+archlib='/usr/lib/perl5/5.19.2/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.19.2/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -55,7 +55,7 @@ castflags='0'
 cat='cat'
 cc='arm-none-linux-gnueabi-gcc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.19.1/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.19.2/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -703,7 +703,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.19.1/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.19.2/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -711,13 +711,13 @@ installman1dir='./install_me_here/usr/share/man/man1'
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.19.1'
+installprivlib='./install_me_here/usr/lib/perl5/5.19.2'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.19.1/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.19.2/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.19.1'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.19.2'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -845,8 +845,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.19.1'
-privlibexp='/usr/lib/perl5/5.19.1'
+privlib='/usr/lib/perl5/5.19.2'
+privlibexp='/usr/lib/perl5/5.19.2'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -907,17 +907,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.19.1/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.19.1/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.19.2/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.19.2/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.19.1'
+sitelib='/usr/lib/perl5/site_perl/5.19.2'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.19.1'
+sitelibexp='/usr/lib/perl5/site_perl/5.19.2'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -954,7 +954,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='1'
+subversion='2'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1040,8 +1040,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.19.1'
-version_patchlevel_string='version 19 subversion 1'
+version='5.19.2'
+version_patchlevel_string='version 19 subversion 2'
 versiononly='undef'
 vi=''
 voidflags='15'
@@ -1056,9 +1056,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=19
-PERL_SUBVERSION=1
+PERL_SUBVERSION=2
 PERL_API_REVISION=5
 PERL_API_VERSION=19
-PERL_API_SUBVERSION=1
+PERL_API_SUBVERSION=2
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
diff --git a/INSTALL b/INSTALL
index f344a24..dfd2697 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -563,7 +563,7 @@ The directories set up by Configure fall into three broad categories.
 
 =item Directories for the perl distribution
 
-By default, Configure will use the following directories for 5.19.1.
+By default, Configure will use the following directories for 5.19.2.
 $version is the full perl version number, including subversion, e.g.
 5.12.3, and $archname is a string like sun4-sunos,
 determined by Configure.  The full definitions of all Configure
@@ -2342,7 +2342,7 @@ http://www.chiark.greenend.org.uk/~sgtatham/bugs.html
 
 =head1 Coexistence with earlier versions of perl 5
 
-Perl 5.19.1 is not binary compatible with earlier versions of Perl.
+Perl 5.19.2 is not binary compatible with earlier versions of Perl.
 In other words, you will have to recompile your XS modules.
 
 In general, you can usually safely upgrade from one version of Perl (e.g.
@@ -2416,9 +2416,9 @@ won't interfere with another version.  (The defaults guarantee this for
 libraries after 5.6.0, but not for executables. TODO?)  One convenient
 way to do this is by using a separate prefix for each version, such as
 
-       sh Configure -Dprefix=/opt/perl5.19.1
+       sh Configure -Dprefix=/opt/perl5.19.2
 
-and adding /opt/perl5.19.1/bin to the shell PATH variable.  Such users
+and adding /opt/perl5.19.2/bin to the shell PATH variable.  Such users
 may also wish to add a symbolic link /usr/local/bin/perl so that
 scripts can still start with #!/usr/local/bin/perl.
 
@@ -2433,11 +2433,11 @@ yet.
 
 =head2 Upgrading from 5.19.0 or earlier
 
-B<Perl 5.19.1 may not be binary compatible with Perl 5.19.0 or
+B<Perl 5.19.2 may not be binary compatible with Perl 5.19.0 or
 earlier Perl releases.>  Perl modules having binary parts
 (meaning that a C compiler is used) will have to be recompiled to be
-used with 5.19.1.  If you find you do need to rebuild an extension with
-5.19.1, you may safely do so without disturbing the older
+used with 5.19.2.  If you find you do need to rebuild an extension with
+5.19.2, you may safely do so without disturbing the older
 installations.  (See L<"Coexistence with earlier versions of perl 5">
 above.)
 
@@ -2470,15 +2470,15 @@ Firstly, the bare minimum to run this script
      print("$f\n");
   }
 
-in Linux with perl-5.19.1 is as follows (under $Config{prefix}):
+in Linux with perl-5.19.2 is as follows (under $Config{prefix}):
 
   ./bin/perl
-  ./lib/perl5/5.19.1/strict.pm
-  ./lib/perl5/5.19.1/warnings.pm
-  ./lib/perl5/5.19.1/i686-linux/File/Glob.pm
-  ./lib/perl5/5.19.1/feature.pm
-  ./lib/perl5/5.19.1/XSLoader.pm
-  ./lib/perl5/5.19.1/i686-linux/auto/File/Glob/Glob.so
+  ./lib/perl5/5.19.2/strict.pm
+  ./lib/perl5/5.19.2/warnings.pm
+  ./lib/perl5/5.19.2/i686-linux/File/Glob.pm
+  ./lib/perl5/5.19.2/feature.pm
+  ./lib/perl5/5.19.2/XSLoader.pm
+  ./lib/perl5/5.19.2/i686-linux/auto/File/Glob/Glob.so
 
 Secondly, for perl-5.10.1, the Debian perl-base package contains 591 files,
 (of which 510 are for lib/unicore) totaling about 3.5MB in its i386 version.
index a3b70e7..ad9866c 100644 (file)
--- a/META.json
+++ b/META.json
          "url" : "http://perl5.git.perl.org/"
       }
    },
-   "version" : "5.019001"
+   "version" : "5.019002"
 }
index 5af9033..46a3bb1 100644 (file)
--- a/META.yml
+++ b/META.yml
@@ -118,4 +118,4 @@ resources:
   homepage: http://www.perl.org/
   license: http://dev.perl.org/licenses/
   repository: http://perl5.git.perl.org/
-version: 5.019001
+version: 5.019002
index 746c161..ffdd0d6 100644 (file)
@@ -86,7 +86,7 @@ NLM_VERSION    = 3,20,0
 
 
 # Here comes the CW tools - TO BE FILLED TO BUILD WITH CW -
-MODULE_DESC     = "Perl 5.19.1 for NetWare"
+MODULE_DESC     = "Perl 5.19.2 for NetWare"
 CCTYPE          = CodeWarrior
 C_COMPILER             = mwccnlm -c
 CPP_COMPILER   = mwccnlm
@@ -462,7 +462,7 @@ INST_NW_TOP2 = $(INST_NW_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-INST_VER       = \5.19.1
+INST_VER       = \5.19.2
 
 #
 # Comment this out if you DON'T want your perl installation to have
index df7cfe3..47868ba 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "c:\\perl\\5.19.1\\lib\\NetWare-x86-multi-thread"              /**/
+#define ARCHLIB "c:\\perl\\5.19.2\\lib\\NetWare-x86-multi-thread"              /**/
 /*#define ARCHLIB_EXP ""       /**/
 
 /* ARCHNAME:
  *     This symbol is the filename expanded version of the BIN symbol, for
  *     programs that do not want to deal with that at run-time.
  */
-#define BIN "c:\\perl\\5.19.1\\bin\\NetWare-x86-multi-thread"  /**/
-#define BIN_EXP "c:\\perl\\5.19.1\\bin\\NetWare-x86-multi-thread"      /**/
+#define BIN "c:\\perl\\5.19.2\\bin\\NetWare-x86-multi-thread"  /**/
+#define BIN_EXP "c:\\perl\\5.19.2\\bin\\NetWare-x86-multi-thread"      /**/
 
 /* BYTEORDER:
  *     This symbol holds the hexadecimal constant defined in byteorder,
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "c:\\perl\\site\\5.19.1\\lib\\NetWare-x86-multi-thread"               /**/
+#define SITEARCH "c:\\perl\\site\\5.19.2\\lib\\NetWare-x86-multi-thread"               /**/
 /*#define SITEARCH_EXP ""      /**/
 
 /* SITELIB:
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "c:\\perl\\site\\5.19.1\\lib"          /**/
+#define SITELIB "c:\\perl\\site\\5.19.2\\lib"          /**/
 /*#define SITELIB_EXP ""       /**/
 #define SITELIB_STEM ""                /**/
 
index 7735b6f..6f7ee7e 100644 (file)
@@ -45,12 +45,12 @@ alignbytes='4'
 ansi2knr=''
 aphostname=''
 api_revision='5'
-api_subversion='1'
+api_subversion='2'
 api_version='19'
-api_versionstring='5.19.1'
+api_versionstring='5.19.2'
 ar='ar'
-archlib='/opt/perl/lib/5.19.1/i686-linux-64int'
-archlibexp='/opt/perl/lib/5.19.1/i686-linux-64int'
+archlib='/opt/perl/lib/5.19.2/i686-linux-64int'
+archlibexp='/opt/perl/lib/5.19.2/i686-linux-64int'
 archname64='64int'
 archname='i686-linux-64int'
 archobjs=''
@@ -750,7 +750,7 @@ inc_version_list_init='0'
 incpath=''
 inews=''
 initialinstalllocation='/opt/perl/bin'
-installarchlib='/opt/perl/lib/5.19.1/i686-linux-64int'
+installarchlib='/opt/perl/lib/5.19.2/i686-linux-64int'
 installbin='/opt/perl/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -758,13 +758,13 @@ installman1dir='/opt/perl/man/man1'
 installman3dir='/opt/perl/man/man3'
 installprefix='/opt/perl'
 installprefixexp='/opt/perl'
-installprivlib='/opt/perl/lib/5.19.1'
+installprivlib='/opt/perl/lib/5.19.2'
 installscript='/opt/perl/bin'
-installsitearch='/opt/perl/lib/site_perl/5.19.1/i686-linux-64int'
+installsitearch='/opt/perl/lib/site_perl/5.19.2/i686-linux-64int'
 installsitebin='/opt/perl/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/opt/perl/lib/site_perl/5.19.1'
+installsitelib='/opt/perl/lib/site_perl/5.19.2'
 installsiteman1dir='/opt/perl/man/man1'
 installsiteman3dir='/opt/perl/man/man3'
 installsitescript='/opt/perl/bin'
@@ -887,7 +887,7 @@ perl_patchlevel='34948'
 perl_static_inline='static __inline__'
 perladmin='yourname@yourhost.yourplace.com'
 perllibs='-lnsl -ldl -lm -lcrypt -lutil -lc'
-perlpath='/opt/perl/bin/perl5.19.1'
+perlpath='/opt/perl/bin/perl5.19.2'
 pg='pg'
 phostname=''
 pidtype='pid_t'
@@ -896,8 +896,8 @@ pmake=''
 pr=''
 prefix='/opt/perl'
 prefixexp='/opt/perl'
-privlib='/opt/perl/lib/5.19.1'
-privlibexp='/opt/perl/lib/5.19.1'
+privlib='/opt/perl/lib/5.19.2'
+privlibexp='/opt/perl/lib/5.19.2'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -963,17 +963,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 6, 17, 29, 31, 0'
 sig_size='69'
 signal_t='void'
-sitearch='/opt/perl/lib/site_perl/5.19.1/i686-linux-64int'
-sitearchexp='/opt/perl/lib/site_perl/5.19.1/i686-linux-64int'
+sitearch='/opt/perl/lib/site_perl/5.19.2/i686-linux-64int'
+sitearchexp='/opt/perl/lib/site_perl/5.19.2/i686-linux-64int'
 sitebin='/opt/perl/bin'
 sitebinexp='/opt/perl/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/opt/perl/lib/site_perl/5.19.1'
+sitelib='/opt/perl/lib/site_perl/5.19.2'
 sitelib_stem='/opt/perl/lib/site_perl'
-sitelibexp='/opt/perl/lib/site_perl/5.19.1'
+sitelibexp='/opt/perl/lib/site_perl/5.19.2'
 siteman1dir='/opt/perl/man/man1'
 siteman1direxp='/opt/perl/man/man1'
 siteman3dir='/opt/perl/man/man3'
@@ -999,7 +999,7 @@ src='.'
 ssizetype='ssize_t'
 st_ino_sign='1'
 st_ino_size='4'
-startperl='#!/opt/perl/bin/perl5.19.1'
+startperl='#!/opt/perl/bin/perl5.19.2'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1012,7 +1012,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='1'
+subversion='2'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1102,8 +1102,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.19.1'
-version_patchlevel_string='version 19 subversion 1'
+version='5.19.2'
+version_patchlevel_string='version 19 subversion 2'
 versiononly='define'
 vi=''
 voidflags='15'
@@ -1127,10 +1127,10 @@ config_arg8='-Dusedevel'
 config_arg9='-dE'
 PERL_REVISION=5
 PERL_VERSION=19
-PERL_SUBVERSION=1
+PERL_SUBVERSION=2
 PERL_API_REVISION=5
 PERL_API_VERSION=19
-PERL_API_SUBVERSION=1
+PERL_API_SUBVERSION=2
 PERL_PATCHLEVEL=34948
 PERL_CONFIG_SH=true
 : Variables propagated from previous config.sh file.
index ed348f2..bfc65a2 100644 (file)
  *     This symbol contains the ~name expanded version of ARCHLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/pro/lib/perl5/5.19.1/i686-linux-64int-ld"            /**/
-#define ARCHLIB_EXP "/pro/lib/perl5/5.19.1/i686-linux-64int-ld"                /**/
+#define ARCHLIB "/pro/lib/perl5/5.19.2/i686-linux-64int-ld"            /**/
+#define ARCHLIB_EXP "/pro/lib/perl5/5.19.2/i686-linux-64int-ld"                /**/
 
 /* ARCHNAME:
  *     This symbol holds a string representing the architecture name.
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/pro/lib/perl5/5.19.1"                /**/
-#define PRIVLIB_EXP "/pro/lib/perl5/5.19.1"            /**/
+#define PRIVLIB "/pro/lib/perl5/5.19.2"                /**/
+#define PRIVLIB_EXP "/pro/lib/perl5/5.19.2"            /**/
 
 /* PTRSIZE:
  *     This symbol contains the size of a pointer, so that the C preprocessor
  *     This symbol contains the ~name expanded version of SITEARCH, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/pro/lib/perl5/site_perl/5.19.1/i686-linux-64int-ld"         /**/
-#define SITEARCH_EXP "/pro/lib/perl5/site_perl/5.19.1/i686-linux-64int-ld"             /**/
+#define SITEARCH "/pro/lib/perl5/site_perl/5.19.2/i686-linux-64int-ld"         /**/
+#define SITEARCH_EXP "/pro/lib/perl5/site_perl/5.19.2/i686-linux-64int-ld"             /**/
 
 /* SITELIB:
  *     This symbol contains the name of the private library for this package.
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/pro/lib/perl5/site_perl/5.19.1"              /**/
-#define SITELIB_EXP "/pro/lib/perl5/site_perl/5.19.1"          /**/
+#define SITELIB "/pro/lib/perl5/site_perl/5.19.2"              /**/
+#define SITELIB_EXP "/pro/lib/perl5/site_perl/5.19.2"          /**/
 #define SITELIB_STEM "/pro/lib/perl5/site_perl"                /**/
 
 /* SSize_t:
  *     script to make sure (one hopes) that it runs with perl and not
  *     some shell.
  */
-#define STARTPERL "#!/pro/bin/perl5.19.1"              /**/
+#define STARTPERL "#!/pro/bin/perl5.19.2"              /**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *     This symbol, if defined, tells that there is an array
index ca7877f..a9fd513 100644 (file)
@@ -366,7 +366,7 @@ here.
 
 XXX Generate this with:
 
-  perl Porting/acknowledgements.pl v5.19.1..HEAD
+  perl Porting/acknowledgements.pl v5.19.2..HEAD
 
 =head1 Reporting Bugs
 
index ffd0035..f0846f0 100644 (file)
@@ -466,7 +466,7 @@ Natively 64-bit systems need neither -Duse64bitint nor -Duse64bitall.
 On these systems, it might be the default compilation mode, and there
 is currently no guarantee that passing no use64bitall option to the
 Configure process will build a 32bit perl. Implementing -Duse32bit*
-options would be nice for perl 5.19.1.
+options would be nice for perl 5.19.2.
 
 =head2 Profile Perl - am I hot or not?
 
@@ -1175,7 +1175,7 @@ L<http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/2013-01/msg00339.html>
 =head1 Big projects
 
 Tasks that will get your name mentioned in the description of the "Highlights
-of 5.19.1"
+of 5.19.2"
 
 =head2 make ithreads more robust
 
index 0893d29..f0f7a69 100644 (file)
@@ -22,9 +22,9 @@ The build procedure is completely standard:
 Make perl executable and create a symlink for libperl:
 
   chmod a+x /boot/common/bin/perl
-  cd /boot/common/lib; ln -s perl5/5.19.1/BePC-haiku/CORE/libperl.so .
+  cd /boot/common/lib; ln -s perl5/5.19.2/BePC-haiku/CORE/libperl.so .
 
-Replace C<5.19.1> with your respective version of Perl.
+Replace C<5.19.2> with your respective version of Perl.
 
 =head1 KNOWN PROBLEMS
 
index 22071d3..e62cd2f 100644 (file)
@@ -10,9 +10,9 @@ perlmacosx - Perl under Mac OS X
 
 This document briefly describes Perl under Mac OS X.
 
-  curl http://www.cpan.org/src/perl-5.19.1.tar.gz > perl-5.18.0.tar.gz
-  tar -xzf perl-5.19.1.tar.gz
-  cd perl-5.19.1
+  curl http://www.cpan.org/src/perl-5.19.2.tar.gz > perl-5.18.0.tar.gz
+  tar -xzf perl-5.19.2.tar.gz
+  cd perl-5.19.2
   ./Configure -des -Dprefix=/usr/local/
   make
   make test
@@ -20,7 +20,7 @@ This document briefly describes Perl under Mac OS X.
 
 =head1 DESCRIPTION
 
-The latest Perl release (5.19.1 as of this writing) builds without changes
+The latest Perl release (5.19.2 as of this writing) builds without changes
 under all versions of Mac OS X from 10.3 "Panther" onwards. 
 
 In order to build your own version of Perl you will need 'make',
index 90938eb..4f0a040 100644 (file)
@@ -619,7 +619,7 @@ C<set PERLLIB_PREFIX> in F<Config.sys>, see L<"PERLLIB_PREFIX">.
 
 =item Additional Perl modules
 
-  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.19.1/
+  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.19.2/
 
 Same remark as above applies.  Additionally, if this directory is not
 one of directories on @INC (and @INC is influenced by C<PERLLIB_PREFIX>), you
index cefda4e..1eb1886 100644 (file)
@@ -142,11 +142,11 @@ You may need to set up a foreign symbol for the unpacking utility of
 choice.  Once you have done so, use a command like the following to
 unpack the archive:
 
-    vmstar -xvf perl-5^.19^.1.tar
+    vmstar -xvf perl-5^.19^.2.tar
 
 Then set default to the top-level source directory like so:
 
-    set default [.perl-5^.19^.1]
+    set default [.perl-5^.19^.2]
 
 and proceed with configuration as described in the next section.
 
index d9574bd..f1b95e7 100644 (file)
 # mkdir -p /opt/perl-catamount
 # mkdir -p /opt/perl-catamount/include
 # mkdir -p /opt/perl-catamount/lib
-# mkdir -p /opt/perl-catamount/lib/perl5/5.19.1
+# mkdir -p /opt/perl-catamount/lib/perl5/5.19.2
 # mkdir -p /opt/perl-catamount/bin
 # cp *.h /opt/perl-catamount/include
 # cp libperl.a /opt/perl-catamount/lib
-# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.19.1
+# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.19.2
 # cp miniperl perl run.sh cc.sh /opt/perl-catamount/lib
 #
 # With the headers and the libperl.a you can embed Perl to your Catamount
index 9d85150..1d29519 100644 (file)
@@ -741,7 +741,7 @@ PERLVAR(I, debug_pad,       struct perl_debug_pad)  /* always needed because of the re
 /* Hook for File::Glob */
 PERLVARI(I, globhook,  globhook_t, NULL)
 
-/* The last unconditional member of the interpreter structure when 5.19.1 was
+/* The last unconditional member of the interpreter structure when 5.19.2 was
    released. The offset of the end of this is baked into a global variable in 
    any shared perl library which will allow a sanity test in future perl
    releases.  */
index ccae461..1bfcf37 100644 (file)
@@ -15,7 +15,7 @@
 
 #define PERL_REVISION  5               /* age */
 #define PERL_VERSION   19              /* epoch */
-#define PERL_SUBVERSION        1               /* generation */
+#define PERL_SUBVERSION        2               /* generation */
 
 /* The following numbers describe the earliest compatible version of
    Perl ("compatibility" here being defined as sufficient binary/API
@@ -36,7 +36,7 @@
 */
 #define PERL_API_REVISION      5
 #define PERL_API_VERSION       19
-#define PERL_API_SUBVERSION    1
+#define PERL_API_SUBVERSION    2
 /*
    XXX Note:  The selection of non-default Configure options, such
    as -Duselonglong may invalidate these settings.  Currently, Configure
index 7a665a6..f65bd41 100644 (file)
  *     This symbol contains the ~name expanded version of PRIVLIB, to be used
  *     in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/sys/lib/perl/5.19.1"         /**/
-#define PRIVLIB_EXP "/sys/lib/perl/5.19.1"             /**/
+#define PRIVLIB "/sys/lib/perl/5.19.2"         /**/
+#define PRIVLIB_EXP "/sys/lib/perl/5.19.2"             /**/
 
 /* PTRSIZE:
  *     This symbol contains the size of a pointer, so that the C preprocessor
  *     removed.  The elements in inc_version_list (inc_version_list.U) can
  *     be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/sys/lib/perl/5.19.1/site_perl"               /**/
-#define SITELIB_EXP "/sys/lib/perl/5.19.1/site_perl"           /**/
-#define SITELIB_STEM "/sys/lib/perl/5.19.1/site_perl"          /**/
+#define SITELIB "/sys/lib/perl/5.19.2/site_perl"               /**/
+#define SITELIB_EXP "/sys/lib/perl/5.19.2/site_perl"           /**/
+#define SITELIB_STEM "/sys/lib/perl/5.19.2/site_perl"          /**/
 
 /* Size_t_size:
  *     This symbol holds the size of a Size_t in bytes.
index e55c3f4..0465ea5 100644 (file)
@@ -32,12 +32,12 @@ alignbytes='4'
 ansi2knr=''
 aphostname='/bin/uname -n'
 api_revision='5'
-api_subversion='1'
+api_subversion='2'
 api_version='19'
-api_versionstring='5.19.1'
+api_versionstring='5.19.2'
 ar='ar'
-archlib='/sys/lib/perl5/5.19.1/386'
-archlibexp='/sys/lib/perl5/5.19.1/386'
+archlib='/sys/lib/perl5/5.19.2/386'
+archlibexp='/sys/lib/perl5/5.19.2/386'
 archname64=''
 archname='386'
 archobjs=''
@@ -726,17 +726,17 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='/sys/lib/perl/5.19.1/386'
+installarchlib='/sys/lib/perl/5.19.2/386'
 installbin='/usr/bin'
 installman1dir='/sys/man/1pub'
 installman3dir='/sys/man/2pub'
 installprefix='/usr'
 installprefixexp='/usr'
-installprivlib='/sys/lib/perl/5.19.1'
+installprivlib='/sys/lib/perl/5.19.2'
 installscript='/usr/bin'
-installsitearch='/sys/lib/perl/5.19.1/site_perl/386'
+installsitearch='/sys/lib/perl/5.19.2/site_perl/386'
 installsitebin='/usr/bin'
-installsitelib='/sys/lib/perl/5.19.1/site_perl'
+installsitelib='/sys/lib/perl/5.19.2/site_perl'
 installstyle='lib/perl5'
 installusrbinperl='undef'
 installvendorarch=''
@@ -856,8 +856,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/sys/lib/perl/5.19.1'
-privlibexp='/sys/lib/perl/5.19.1'
+privlib='/sys/lib/perl/5.19.2'
+privlibexp='/sys/lib/perl/5.19.2'
 procselfexe=''
 prototype='define'
 ptrsize='4'
@@ -922,13 +922,13 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 0'
 sig_size='50'
 signal_t='void'
-sitearch='/sys/lib/perl/5.19.1/site_perl/386'
+sitearch='/sys/lib/perl/5.19.2/site_perl/386'
 sitearchexp='/sys/lib/perl/site_perl/386'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
-sitelib='/sys/lib/perl/5.19.1/site_perl'
-sitelib_stem='/sys/lib/perl/5.19.1/site_perl'
-sitelibexp='/sys/lib/perl/5.19.1/site_perl'
+sitelib='/sys/lib/perl/5.19.2/site_perl'
+sitelib_stem='/sys/lib/perl/5.19.2/site_perl'
+sitelibexp='/sys/lib/perl/5.19.2/site_perl'
 siteprefix='/usr'
 siteprefixexp='/usr'
 sizesize='4'
@@ -961,7 +961,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/sys/include/ape/string.h'
 submit=''
-subversion='1'
+subversion='2'
 sysman='/sys/man/1pub'
 tail=''
 tar=''
@@ -1041,8 +1041,8 @@ vendorlib_stem=''
 vendorlibexp=''
 vendorprefix=''
 vendorprefixexp=''
-version='5.19.1'
-version_patchlevel_string='version 19 subversion 1'
+version='5.19.2'
+version_patchlevel_string='version 19 subversion 2'
 versiononly='undef'
 vi=''
 voidflags='15'
@@ -1057,9 +1057,9 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=19
-PERL_SUBVERSION=1
+PERL_SUBVERSION=2
 PERL_API_REVISION=5
 PERL_API_VERSION=19
-PERL_API_SUBVERSION=1
+PERL_API_SUBVERSION=2
 PERL_PATCHLEVEL=
 PERL_CONFIG_SH=true
index 3de9f8a..deec493 100644 (file)
@@ -37,7 +37,7 @@ INST_TOP      = $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      = \5.19.1
+#INST_VER      = \5.19.2
 
 #
 # Comment this out if you DON'T want your perl installation to have
index db98805..c6a23fd 100644 (file)
@@ -38,7 +38,7 @@ INST_TOP      *= $(INST_DRV)\perl
 # versioned installation can be obtained by setting INST_TOP above to a
 # path that includes an arbitrary version string.
 #
-#INST_VER      *= \5.19.1
+#INST_VER      *= \5.19.2
 
 #
 # Comment this out if you DON'T want your perl installation to have